Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1115674 - Review Request: nodejs-grunt-contrib-less - Compile LESS files to CSS
Summary: Review Request: nodejs-grunt-contrib-less - Compile LESS files to CSS
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Tom Hughes
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: nodejs-reviews 1115659
TreeView+ depends on / blocked
 
Reported: 2014-07-02 21:04 UTC by Ralph Bean
Modified: 2014-12-27 09:23 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-12-01 18:52:06 UTC
tom: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Comment 1 Tom Hughes 2014-10-22 20:13:36 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "Unknown or generated". 1 files have unknown license. Detailed output of
     licensecheck in /home/tom/1115674-nodejs-grunt-contrib-
     less/licensecheck.txt
[-]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[-]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 20480 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[!]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[-]: Package should compile and build into binary rpms on all supported
     architectures.
[!]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: nodejs-grunt-contrib-less-0.9.0-1.fc22.x86_64.rpm
          nodejs-grunt-contrib-less-0.9.0-1.fc22.src.rpm
nodejs-grunt-contrib-less.x86_64: E: no-binary
nodejs-grunt-contrib-less.x86_64: W: only-non-binary-in-usr-lib
nodejs-grunt-contrib-less.x86_64: W: dangling-symlink /usr/lib/node_modules/grunt-contrib-less/node_modules/less /usr/lib/node_modules/less
nodejs-grunt-contrib-less.x86_64: W: dangling-symlink /usr/lib/node_modules/grunt-contrib-less/node_modules/chalk /usr/lib/node_modules/chalk
nodejs-grunt-contrib-less.x86_64: W: dangling-symlink /usr/lib/node_modules/grunt-contrib-less/node_modules/grunt-lib-contrib /usr/lib/node_modules/grunt-lib-contrib
2 packages and 0 specfiles checked; 1 errors, 4 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint nodejs-grunt-contrib-less
nodejs-grunt-contrib-less.x86_64: E: no-binary
nodejs-grunt-contrib-less.x86_64: W: only-non-binary-in-usr-lib
nodejs-grunt-contrib-less.x86_64: W: dangling-symlink /usr/lib/node_modules/grunt-contrib-less/node_modules/less /usr/lib/node_modules/less
nodejs-grunt-contrib-less.x86_64: W: dangling-symlink /usr/lib/node_modules/grunt-contrib-less/node_modules/chalk /usr/lib/node_modules/chalk
nodejs-grunt-contrib-less.x86_64: W: dangling-symlink /usr/lib/node_modules/grunt-contrib-less/node_modules/grunt-lib-contrib /usr/lib/node_modules/grunt-lib-contrib
1 packages and 0 specfiles checked; 1 errors, 4 warnings.
# echo 'rpmlint-done:'



Requires
--------
nodejs-grunt-contrib-less (rpmlib, GLIBC filtered):
    nodejs(engine)
    npm(chalk)
    npm(grunt)
    npm(grunt-lib-contrib)
    npm(less)



Provides
--------
nodejs-grunt-contrib-less:
    nodejs-grunt-contrib-less
    nodejs-grunt-contrib-less(x86-64)
    npm(grunt-contrib-less)



Source checksums
----------------
http://registry.npmjs.org/grunt-contrib-less/-/grunt-contrib-less-0.9.0.tgz :
  CHECKSUM(SHA256) this package     : 73ac096dbf3b567c6fec6d7d23f02a3e808ada7951e162d203df899c4101455e
  CHECKSUM(SHA256) upstream package : 73ac096dbf3b567c6fec6d7d23f02a3e808ada7951e162d203df899c4101455e


Generated by fedora-review 0.5.2 (63c24cb) last change: 2014-07-14
Command line :/usr/bin/fedora-review -m compton-rawhide-x86_64 -b 1115674
Buildroot used: compton-rawhide-x86_64
Active plugins: Generic, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG

Comment 2 Tom Hughes 2014-10-22 20:13:54 UTC
* Should be noarch
* Upstream has release 0.11.4 now
* Consider packaging tests
* No need to require npm modules manually

Comment 3 Ralph Bean 2014-10-23 19:22:02 UTC
Here's a new release with the latest upstream tarball and the noarch declaration.

As with the other reviews, I'd like to decline running the tests for now and ask if I can keep the npm module requirements explicit:

Spec URL: http://threebean.org/rpm/SPECS/nodejs-grunt-contrib-less.spec
SRPM URL: http://threebean.org/rpm/SRPMS/nodejs-grunt-contrib-less-0.11.4-1.fc20.src.rpm

Comment 4 Tom Hughes 2014-10-23 20:15:42 UTC
Built package now fails with a dependency error:

Error: Package: nodejs-grunt-contrib-less-0.11.4-1.fc22.noarch (/nodejs-grunt-contrib-less-0.11.4-1.fc22.noarch)
           Requires: npm(chalk) >= 0.5.1
           Installing: nodejs-chalk-0.4.0-3.fc21.noarch (fedora)
               npm(chalk) = 0.4.0

Likely just needs a %nodejs_fixdep though this is where the tests come in handy, to know if it's working right when you patch the dependencies ;-)

Comment 5 Ralph Bean 2014-10-23 20:35:43 UTC
Hm, to run the tests here we're only missing one package (nodejs-grunt-contrib-jshint).. but it has 8 unpackaged dependencies.  :(

Comment 6 Tom Hughes 2014-10-23 20:42:30 UTC
Oh I do usually leave out any jshint tests - they're static analysis really, not tests.

Comment 7 Ralph Bean 2014-11-24 15:20:11 UTC
Eh, well - I looked into enabling the tests but upstream isn't shipping them with the tarball.

Either way, here's a release with a fixdep on nodejs-chalk:

Spec URL: http://threebean.org/rpm/SPECS/nodejs-grunt-contrib-less.spec
SRPM URL: http://threebean.org/rpm/SRPMS/nodejs-grunt-contrib-less-0.11.4-2.fc20.src.rpm

Comment 8 Tom Hughes 2014-11-24 19:06:09 UTC
Looks like there is a dependency issue with maxmin as well:

DEBUG util.py:283:  Error: Package: nodejs-grunt-contrib-less-0.11.4-2.fc22.noarch (/nodejs-grunt-contrib-less-0.11.4-2.fc22.noarch)
DEBUG util.py:283:             Requires: npm(maxmin) < 0.2
DEBUG util.py:283:             Installing: nodejs-maxmin-0.2.0-2.fc21.noarch (fedora)
DEBUG util.py:283:                 npm(maxmin) = 0.2.0
DEBUG util.py:283:   You could try using --skip-broken to work around the problem
DEBUG util.py:283:  Error: Package: nodejs-grunt-contrib-less-0.11.4-2.fc22.noarch (/nodejs-grunt-contrib-less-0.11.4-2.fc22.noarch)
DEBUG util.py:283:             Requires: npm(maxmin) < 0.2
DEBUG util.py:283:             Available: nodejs-maxmin-0.2.0-2.fc21.noarch (fedora)
DEBUG util.py:283:                 npm(maxmin) = 0.2.0
DEBUG util.py:283:   You could try running: rpm -Va --nofiles --nodigest

Comment 9 Ralph Bean 2014-11-25 16:00:49 UTC
Heh, and there was another one with npm(less).  Let's try this one:

Spec URL: http://threebean.org/rpm/SPECS/nodejs-grunt-contrib-less.spec
SRPM URL: http://threebean.org/rpm/SRPMS/nodejs-grunt-contrib-less-0.12.0-1.fc20.src.rpm

Comment 10 Tom Hughes 2014-11-25 21:14:59 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 20480 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[?]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: nodejs-grunt-contrib-less-0.12.0-1.fc22.noarch.rpm
          nodejs-grunt-contrib-less-0.12.0-1.fc22.src.rpm
nodejs-grunt-contrib-less.noarch: W: only-non-binary-in-usr-lib
nodejs-grunt-contrib-less.noarch: W: dangling-symlink /usr/lib/node_modules/grunt-contrib-less/node_modules/maxmin /usr/lib/node_modules/maxmin
nodejs-grunt-contrib-less.noarch: W: dangling-symlink /usr/lib/node_modules/grunt-contrib-less/node_modules/lodash /usr/lib/node_modules/lodash
nodejs-grunt-contrib-less.noarch: W: dangling-symlink /usr/lib/node_modules/grunt-contrib-less/node_modules/async /usr/lib/node_modules/async
nodejs-grunt-contrib-less.noarch: W: dangling-symlink /usr/lib/node_modules/grunt-contrib-less/node_modules/less /usr/lib/node_modules/less
nodejs-grunt-contrib-less.noarch: W: dangling-symlink /usr/lib/node_modules/grunt-contrib-less/node_modules/chalk /usr/lib/node_modules/chalk
2 packages and 0 specfiles checked; 0 errors, 6 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint nodejs-grunt-contrib-less
nodejs-grunt-contrib-less.noarch: W: only-non-binary-in-usr-lib
nodejs-grunt-contrib-less.noarch: W: dangling-symlink /usr/lib/node_modules/grunt-contrib-less/node_modules/maxmin /usr/lib/node_modules/maxmin
nodejs-grunt-contrib-less.noarch: W: dangling-symlink /usr/lib/node_modules/grunt-contrib-less/node_modules/lodash /usr/lib/node_modules/lodash
nodejs-grunt-contrib-less.noarch: W: dangling-symlink /usr/lib/node_modules/grunt-contrib-less/node_modules/async /usr/lib/node_modules/async
nodejs-grunt-contrib-less.noarch: W: dangling-symlink /usr/lib/node_modules/grunt-contrib-less/node_modules/less /usr/lib/node_modules/less
nodejs-grunt-contrib-less.noarch: W: dangling-symlink /usr/lib/node_modules/grunt-contrib-less/node_modules/chalk /usr/lib/node_modules/chalk
1 packages and 0 specfiles checked; 0 errors, 6 warnings.
# echo 'rpmlint-done:'



Requires
--------
nodejs-grunt-contrib-less (rpmlib, GLIBC filtered):
    nodejs(engine)
    npm(async)
    npm(chalk)
    npm(grunt)
    npm(grunt-lib-contrib)
    npm(less)
    npm(lodash)
    npm(maxmin)



Provides
--------
nodejs-grunt-contrib-less:
    nodejs-grunt-contrib-less
    npm(grunt-contrib-less)



Source checksums
----------------
http://registry.npmjs.org/grunt-contrib-less/-/grunt-contrib-less-0.12.0.tgz :
  CHECKSUM(SHA256) this package     : 4abe4df1b13b0fbeab701b52aaef6c3b80e8280f5416f73b9124c116fadeb7ee
  CHECKSUM(SHA256) upstream package : 4abe4df1b13b0fbeab701b52aaef6c3b80e8280f5416f73b9124c116fadeb7ee


Generated by fedora-review 0.5.2 (63c24cb) last change: 2014-07-14
Command line :/usr/bin/fedora-review -m compton-rawhide-x86_64 -b 1115674
Buildroot used: compton-rawhide-x86_64
Active plugins: Generic, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG

Comment 11 Tom Hughes 2014-11-25 21:15:59 UTC
Looks good now. Package approved.

Comment 12 Ralph Bean 2014-12-01 18:47:14 UTC
New Package SCM Request
=======================
Package Name: nodejs-grunt-contrib-less
Short Description: Compile LESS files to CSS
Upstream URL: https://www.npmjs.org/package/grunt-contrib-less
Owners: ralph
Branches: f21 f20 f19 epel7
InitialCC:

Comment 13 Gwyn Ciesla 2014-12-01 18:48:35 UTC
Git done (by process-git-requests).

Comment 14 Ralph Bean 2014-12-01 18:52:06 UTC
Built for rawhide:  http://koji.fedoraproject.org/koji/taskinfo?taskID=8270588

Comment 15 Fedora Update System 2014-12-01 19:28:02 UTC
nodejs-grunt-contrib-less-0.12.0-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/nodejs-grunt-contrib-less-0.12.0-1.fc21

Comment 16 Fedora Update System 2014-12-27 09:23:08 UTC
nodejs-grunt-contrib-less-0.12.0-1.fc21 has been pushed to the Fedora 21 stable repository.


Note You need to log in before you can comment on or make changes to this bug.